Skip to content

OVHcloud Connect

All operations require authentication.

4 operationsv1/vrack/{serviceName}
Agent setup

List services. Returns the identifiers of the OVHcloud Connect services attached to the vRack.Production

GET
/1.0/vrack/{serviceName}/ovhCloudConnect

Path parameters

serviceName
required
string

The internal name of your vrack

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ovhCloudConnect \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "00000000-0000-0000-0000-000000000000"]

Get a service. Returns the attached OVHcloud Connect service and its vRack.Production

GET
/1.0/vrack/{serviceName}/ovhCloudConnect/{ovhCloudConnect}

Path parameters

ovhCloudConnect
required
stringuuid

ovhCloudConnect service name

serviceName
required
string

The internal name of your vrack

Response

200ovhCloudConnectsuccessful operation
ovhCloudConnect
read-only
stringuuid

ovhCloudConnect service name

vrack
read-only
string

vrack name

Example uses ovhCloudConnect = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ovhCloudConnect/{ovhCloudConnect} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "ovhCloudConnect": "00000000-0000-0000-0000-000000000000", "vrack": "string"}

Attach a serviceProduction

POST
/1.0/vrack/{serviceName}/ovhCloudConnect

Attach a service. Attaches an OVHcloud Connect service to the vRack. Returns the task that performs it.

Path parameters

serviceName
required
string

The internal name of your vrack

Request body (required)

ovhCloudConnect
required
stringuuid

ovhCloudConnect service name

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ovhCloudConnect \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}

Detach a serviceProduction

DELETE
/1.0/vrack/{serviceName}/ovhCloudConnect/{ovhCloudConnect}

Detach a service. Detaches the OVHcloud Connect service from the vRack. Returns the task that performs it.

Path parameters

ovhCloudConnect
required
stringuuid

ovhCloudConnect service name

serviceName
required
string

The internal name of your vrack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
lastUpdate
read-only
stringdate-time
—
orderId
read-only
integer
—
serviceName
read-only
string
—
status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneinittodo
targetDomain
read-only
string
—
todoDate
read-only
stringdate-time
—

Example uses ovhCloudConnect = 00000000-0000-0000-0000-000000000000, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vrack/{serviceName}/ovhCloudConnect/{ovhCloudConnect} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "orderId": 0, "serviceName": "string", "status": "cancelled", "targetDomain": "string", "todoDate": "2024-01-01T12:00:00Z"}